Bug 1061824 - [abrt] pitivi: timeline.py:238:insertLayer:OverflowError: -1 not in range 0 to 4294967295
Summary: [abrt] pitivi: timeline.py:238:insertLayer:OverflowError: -1 not in range 0 t...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:96a051c96433d6de0d9220be513...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 17:06 UTC by Mihai Maruseac
Modified: 2014-03-18 23:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-18 23:14:11 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (838 bytes, text/plain)
2014-02-05 17:06 UTC, Mihai Maruseac
no flags Details
File: environ (3.02 KB, text/plain)
2014-02-05 17:06 UTC, Mihai Maruseac
no flags Details

Description Mihai Maruseac 2014-02-05 17:06:01 UTC
Version-Release number of selected component:
pitivi-0.92-1.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        python2 /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
timeline.py:238:insertLayer:OverflowError: -1 not in range 0 to 4294967295

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 1523, in _dragDropCb
    self.timeline.convertGhostClips()
  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 290, in convertGhostClips
    layer = self.insertLayer(ghostclip)
  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 238, in insertLayer
    layer.props.priority = ghostclip.priority
OverflowError: -1 not in range 0 to 4294967295

Local variables in innermost frame:
layer: <Layer object at 0x510ef50 (GESLayer at 0x2a88ab0)>
ghostclip: <Ghostclip object at 0x510e870 (pitivi+timeline+elements+Ghostclip at 0x4cd4ec0)>
self: <TimelineStage object at 0x4611500 (pitivi+timeline+timeline+TimelineStage at 0x4cca450)>

Comment 1 Mihai Maruseac 2014-02-05 17:06:07 UTC
Created attachment 859750 [details]
File: backtrace

Comment 2 Mihai Maruseac 2014-02-05 17:06:10 UTC
Created attachment 859751 [details]
File: environ

Comment 3 Jean-François Fortin Tam 2014-03-08 17:46:24 UTC
Hi, what are the steps to reproduce this?

Comment 4 alexandru.balut 2014-03-09 22:07:59 UTC
Happens when an asset is dragged to the ruler, I have a fix.

Comment 5 Jean-François Fortin Tam 2014-03-18 23:14:11 UTC
This has now been fixed upstream as commit 8f5d7a3c2, and will be available in the next Pitivi release.


Note You need to log in before you can comment on or make changes to this bug.